Bug 428147 - Review Request: libsmi - A library to access SMI MIB information
Review Request: libsmi - A library to access SMI MIB information
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Stepan Kasal
http://brewweb.devel.redhat.com/brew/...
:
Depends On:
Blocks: 188273 426335 426336 426337
  Show dependency treegraph
 
Reported: 2008-01-09 11:19 EST by Radek Vokal
Modified: 2010-03-05 09:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-05 09:32:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2008-01-09 11:19:04 EST
Spec URL: libsmi.spec
SRPM URL:
http://porkchop.devel.redhat.com/brewroot/packages/libsmi/0.4.5/2.el5/src/libsmi-0.4.5-2.el5.src.rpm

Description: 
Libsmi is a C library to access MIB module information through
a well defined API that hides the nasty details of locating
and parsing SMIv1/v2 MIB modules.

This package contains tools to check, dump, and convert MIB
definitions and a steadily maintained and revised archive
of all IETF and IANA maintained standard MIB modules.



Package is already built in RHEL5, see brewbuild
http://brewweb.devel.redhat.com/brew/buildinfo?buildID=67758
Comment 2 Stepan Kasal 2008-01-10 16:03:08 EST
First, a problem:
Requires: automake is not correct.

MUST Items:
1. rpmlint must be run on every package.

=== PROBLEM ===
libsmi.x86_64: W: file-not-utf8 /usr/share/doc/libsmi-0.4.5/COPYING
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).


2. The package must be named according to the Package Naming Guidelines
OK

3. The spec file name must match the base package %{name}, in the format
%{name}.spec
OK

4. The spec file must be written in American English.  It also must be
legible--the reviewer must be able to understand it.  ;-)
OK

5. The spec file for the package MUST be legible.
OK

6. Each package must consistently use macros, as described in the macros section
of Packaging Guidelines
OK

7. BuildRoot tag should be (in decreasing order of preference) one of these:
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%{_tmppath}/%{name}-%{version}-%{release}-root

OK

8. Each package must have a %clean section, which contains rm -rf %{buildroot}
OK

9. The package must be licensed with an open-source compatible license and meet
other legal requirements as defined in the Packaging Guidelines
OK

10. The License field in the package spec file must match the actual license.
OK

11. If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK

12. The package must contain code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
OK

13. The sources used to build the package must match the upstream source, as
provided in the spec URL. (Check md5sum.)
OK

14. The package must successfully compile and build into binary rpms on at least
one supported architecture.
OK

15. All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines; inclusion of those
as BuildRequires is optional. Apply common sense.
OK

16. If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.
OK

17. The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK

18. Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
OK

19. info files, if present, should be handled by install-info (see Packaging
Guidelines)
OK

20. A package must own all directories that it creates.
OK

21. A package must not contain any duplicate files in the %files listing.
OK

22. Permissions on files must be set properly.
OK

23. Large documentation files should go in a -doc subpackage.
OK

24. If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present.
OK

25. Header files must be in a -devel package.
OK

26. Static libraries must be in a -static package.
OK (there are none)

27. Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for 
directory ownership and usability).
OK

28. If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
library files that end in .so (without suffix) must go in a -devel package.
OK

29. In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
OK

30. Packages must NOT contain any .la libtool archives, these should be removed
in the spec.
OK

31. Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section.
OK (no-GUI application, but library)

32. Packages must not own files or directories already owned by other packages.
OK

33. The %install section must do rm -rf %{buildroot} before the install.
OK

34. %makeinstall is forbidden, use make DESTDIR="$RPM_BUILD_ROOT" install.
OK

35. Non-relocatable?
OK

SHOULD Items:

1. Package should run the testsuite in %check.  Should not fail, unless documented.
OK

2. If the source package does not include license text(s) as a separate file
from upstream, the packager SHOULD query upstream to include it.
OK (we have license)

3. The reviewer should test that the package builds in mock.
OK (built in brew)

4. The package should compile and build into binary rpms on all supported
architectures.
OK (built in brew)

5. The reviewer should test that the package functions as described. A package
should not segfault instead of running, for example.
OK (tried the example from smiquery(1))

6. If scriptlets are used, those scriptlets must be sane. This is vague, and
left up to the reviewers judgement to determine sanity.
OK

7. Usually, subpackages other than devel should require the base package using a
fully versioned dependency.
OK (there are no other subpackages than -devel)

8. The placement of pkgconfig(.pc) files depends on their usecase, and this is
usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.
OK (in %{_libdir}/pkconfig/)

9. If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin,
or /usr/sbin consider requiring the package which provides the file instead of
the file itself. Please see File Dependencies in the Guidelines for further
information.
OK (no other file dependencies)

10. INSTALL should not be installed
OK

Conclusion:
The two problems mentioned at the top of this review have to be fixed.
Comment 3 Stepan Kasal 2008-01-10 16:22:12 EST
Fixes for the above two problems committed to RHEL 3, 4, 5, and to rawhide,
making the package
APPROVED

Note You need to log in before you can comment on or make changes to this bug.